Subject: Re: bug#51296: [PATCH] Add WebP format support

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Oct 2021 16:14:47 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 20 Oct 2021 06:02:09 -0700
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Reviews are welcome, as usual.
> 
> Another thing that I forgot to add is that this is 100 % untested on
> MS-Windows.  I made an attempt to add in the DLL-stuff based on pattern
> recognition and guesswork, but it'd hardly be surprising if I messed up
> somewhere.

You missed the fact that the MW-Windows build loads image libraries
on-demand, when/if the library is first required.  That affects the
way we support these in configure.ac, and it also needs an addition to
dynamic-library-alist in w32-win.el.

It should be easy to add those nits (assuming the code works ;-)